/'****************************************************************************
*
* Name: testdata.bas
*
* Synopsis: Test program for dataobj.bi.
*
* Description: This program exercises the members of dataobj.bi file.
*               
*              
*
* Copyright 2009, Richard D. Clark
*
*                          The Wide Open License (WOL)
*
* Permission to use, copy, modify, distribute and sell this software and its
* documentation for any purpose is hereby granted without fee, provided that
* the above copyright notice and this license appear in all source copies. 
* THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY OF
* ANY KIND. See http://www.dspguru.com/wol.htm for more information.
*
*****************************************************************************'/

#Include Once "dataobj.bi"

'Data Values.
Dim clbyte As Byte = -127 
Dim clubyte As UByte = 127   
Dim clshort As Short = -1000
Dim clushort As UShort = 1000
Dim clinteger As Integer = -200000  
Dim cluinteger As UInteger = 200000 
Dim cllong As Long = -300000000  
Dim clulong As ULong = 3000000000 
Dim cllongint As LongInt = -40000000000 
Dim clulongint As ULongInt = 40000000000 
Dim clsingle As Single = -100.2345 
Dim cldouble As Double = 2345.6789 
Dim clstring As String = "This is a string value"

Dim clbyte2 As Byte 
Dim clubyte2 As UByte   
Dim clshort2 As Short
Dim clushort2 As UShort
Dim clinteger2 As Integer  
Dim cluinteger2 As UInteger 
Dim cllong2 As Long  
Dim clulong2 As ULong 
Dim cllongint2 As LongInt 
Dim clulongint2 As ULongInt 
Dim clsingle2 As Single 
Dim cldouble2 As Double 
Dim clstring2 As String



'Unitialized Data object.
Dim myDO As dataobj

'Initlaized data object.
Dim myDO1 As dataobj
myDo1 = clstring

'Current value should be NULL.
If myDO.DataType = tNull Then
	Print "Data object myDO is NULL."
Else
	Print "myDO is type: " & myDO.DataType & "." 
EndIf

'Current type should be string.
If myDO1.DataType = tString Then
	Print "Data object myDO1 is a string."
	Print "myDO1 data is: " & myDO1 & "."
Else
	Print "myDO1 is type: " & myDO1.DataType & "." 
EndIf
Print

'Print out values of each of the data type enum values.
Print "tNull = " & tNull
Print "tByte = " & tByte
Print "tUByte = " & tUByte
Print "tShort = " & tShort
Print "tUShort = " & tUShort
Print "tInteger = " & tInteger
Print "tUInteger = " & tUInteger
Print "tLong = " & tLong
Print "tUlong = " & tUlong
Print "tLongint = " & tLongint
Print "tUlongint = " & tUlongint
Print "tSingle = " & tSingle
Print "tDouble = " & tDouble
Print "tString = " & tString
Print
'Set myDO to each of the data types.
myDO = clbyte
Print "myDO is type: " & myDO.DataType
clbyte2 = myDO 
Print "myDO data is: " & clbyte2 
Print

myDO = clubyte
Print "myDO is type: " & myDO.DataType
clubyte2 = myDO 
Print "myDO data is: " & clubyte2 
Print

myDO = clshort
Print "myDO is type: " & myDO.DataType
clshort2 = myDO 
Print "myDO data is: " & clshort2 
Print

myDO = clushort
Print "myDO is type: " & myDO.DataType
clushort2 = myDO 
Print "myDO data is: " & clushort2 
Print

myDO = clinteger
Print "myDO is type: " & myDO.DataType
clinteger2 = myDO 
Print "myDO data is: " & clinteger2 
Print

myDO = cluinteger
Print "myDO is type: " & myDO.DataType
cluinteger2 = myDO 
Print "myDO data is: " & cluinteger2 
Print

myDO = cllong
Print "myDO is type: " & myDO.DataType
cllong2 = myDO 
Print "myDO data is: " & cllong2 
Print

myDO = clulong
Print "myDO is type: " & myDO.DataType
clulong2 = myDO 
Print "myDO data is: " & clulong2 
Print

myDO = cllongint
Print "myDO is type: " & myDO.DataType
cllongint2 = myDO 
Print "myDO data is: " & cllongint2 
Print

myDO = clulongint
Print "myDO is type: " & myDO.DataType
clulongint2 = myDO 
Print "myDO data is: " & clulongint2 
Print

myDO = clsingle
Print "myDO is type: " & myDO.DataType
clsingle2 = myDO 
Print "myDO data is: " & clsingle2 
Print

myDO = cldouble
Print "myDO is type: " & myDO.DataType
cldouble2 = myDO 
Print "myDO data is: " & cldouble2 
Print

'Test the object assignment.
myDO = myDO1
Print "myDO is type: " & myDO.DataType
clstring2 = myDO 
Print "myDO data is: " & clstring2 
Print

'Clear the data in both objects.
myDO.ClearData
Print "myDO is type: " & myDO.DataType

myDO1.ClearData
Print "myDO1 is type: " & myDO1.DataType

Sleep
